/// <summary>
 /// Create a FloorType from a user selected Element.
 /// </summary>
 /// <param name="floorType"></param>
 /// <param name="isRevitOwned"></param>
 /// <returns></returns>
 internal static FloorType FromExisting(Autodesk.Revit.DB.FloorType floorType, bool isRevitOwned)
 {
     return(new FloorType(floorType)
     {
         IsRevitOwned = isRevitOwned
     });
 }
 /// <summary>
 /// Set the FloorType property, element id, and unique id
 /// </summary>
 /// <param name="floorType"></param>
 private void InternalSetFloorType(Autodesk.Revit.DB.FloorType floorType)
 {
     this.InternalFloorType = floorType;
     this.InternalElementId = floorType.Id;
     this.InternalUniqueId  = floorType.UniqueId;
 }
 /// <summary>
 /// Initialize a FloorType element
 /// </summary>
 /// <param name="floorType"></param>
 private void InitFloorType(Autodesk.Revit.DB.FloorType floorType)
 {
     InternalSetFloorType(floorType);
 }
 /// <summary>
 /// Private constructor for the Element
 /// </summary>
 /// <param name="floorType"></param>
 private FloorType(Autodesk.Revit.DB.FloorType floorType)
 {
     SafeInit(() => InitFloorType(floorType));
 }